Permissions
This contains the APIs related to permissions
Get all permissions in a scope or all permissions in the system
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
This is to enable or disable filtering by scope. The default value is false. If the value is true, all the permissions in the system are fetched.
Bad Request
This is Failure entity as defied in Harness
Internal server error
List of all permissions
GET /gateway/authz/api/permissions?accountIdentifier=text HTTP/1.1
Host: access-control-79894d6ccb-ltplk
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Get all resource types for permissions in a scope or in the system.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
This is to enable or disable filtering by scope. The default value is false. If the value is true, all the permissions in the system are fetched.
Bad Request
This is Failure entity as defied in Harness
Internal server error
List of resource types
GET /gateway/authz/api/permissions/resourcetypes?accountIdentifier=text HTTP/1.1
Host: access-control-79894d6ccb-ltplk
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?